using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;

namespace AggregateInATextBox
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			List<Person> persons = new List<Person>();
			persons.Add(new Person() { Name = "John" });
			persons.Add(new Person() { Name = "John" });
			persons.Add(new Person() { Name = "John" });

			persons.Add(new Person() { Name = "Jane" });
			persons.Add(new Person() { Name = "Jane" });

			this.RadGridView1.GroupDescriptors.Add(new GroupDescriptor() { Member = "Name" });
			this.RadGridView1.AutoExpandGroups = true;
			this.RadGridView1.ItemsSource = persons;

		}

		public class Person
		{
			public string Name { get; set; }
		}
	}
}
